<template>
  <div class="px-4 py-4 d-flex align-center justify-start">
    <template v-if="user.a_la_cle">
      <v-badge
          avatar
          bordered
          overlap
      >
        <template v-if="user.a_la_cle" v-slot:badge>
          <v-avatar color="error">
            <v-icon>mdi-key</v-icon>
          </v-avatar>
        </template>

        <v-avatar color="primary" size="35">
          <v-icon v-if="!user.photo">mdi-account-circle</v-icon>
          <v-img v-if="user.photo" :src="user.photo"></v-img>
        </v-avatar>

      </v-badge>
    </template>
    <template v-else>
      <v-avatar color="primary" size="35">
        <v-icon v-if="!user.photo">mdi-account-circle</v-icon>
        <v-img v-if="user.photo" :src="user.photo"></v-img>
      </v-avatar>
    </template>

    <div class="pl-4 my-2">{{ user.fullname }}</div>
  </div>
</template>

<script>
export default {
  name: "UserLabel",
  props: {
    user: Object
  }
}
</script>

<style scoped>

</style>